commit:     6d62d79bf9e575c87cf90854ce18b56c9e85e2a6
Author:     Gabriel Linder <gabriel <AT> numberly <DOT> com>
AuthorDate: Tue Nov 15 13:22:59 2022 +0000
Commit:     Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Tue Nov 15 15:44:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d62d79b

dev-db/mongodb: add 4.2.23

Signed-off-by: Gabriel Linder <gabriel <AT> numberly.com>
Closes: https://github.com/gentoo/gentoo/pull/28281
Signed-off-by: Alexys Jacob <ultrabug <AT> gentoo.org>

 dev-db/mongodb/Manifest              |   1 +
 dev-db/mongodb/mongodb-4.2.23.ebuild | 183 +++++++++++++++++++++++++++++++++++
 2 files changed, 184 insertions(+)

diff --git a/dev-db/mongodb/Manifest b/dev-db/mongodb/Manifest
index 318f59940c50..b2ee764c3abe 100644
--- a/dev-db/mongodb/Manifest
+++ b/dev-db/mongodb/Manifest
@@ -1,4 +1,5 @@
 DIST mongodb-src-r4.2.17.tar.gz 62216350 BLAKE2B 
48169685a25fe00b5a1985bce1e65e13d1dc9c0a56ece6b9c735d8cd212d9c0c5e2912d593bdda351cceda49c8ed7962db42ca37814f88e0bf927066a2d8241b
 SHA512 
ad5448aa6ea232746fdbc7107bd642e827fb7b9182c075f204722e7f625cbc83e7b0a199d2feb56bf27a8851bb38f9740abf0b38c022ddc92e676e7a2d81aef6
+DIST mongodb-src-r4.2.23.tar.gz 62276834 BLAKE2B 
bb3dfee47ece9a5cc43e10a322b7191709d32bcfcb9659b08a6412d60a83eaf2d8bc4b5784e99d8fc95be643498212d512a11dc93052f02086456a2d2e565da3
 SHA512 
5c0b341b0700af9f3682e63912569dd4063d8cff85c35f9e19d5882291f62bb1a56f85666278fe38f1bd7f06a46b8423c5e90969be5bb595281d883256c8def4
 DIST mongodb-src-r4.4.10.tar.gz 50636024 BLAKE2B 
4b840e1a17b3fcba32d30c649d981b1e2b1d5dd98deab99be599fd5d2aa70b75ff4225542d8da095ec4cb4615f9ccccfa455129d71ed39549efde0a025d7dac4
 SHA512 
afc04f90e03ec64fd74bdfe2bf33aaa5fc148811af91a8437dfb81fd3a784eedd80128886db99e247ec7e09dc5a73cf34f908ab927942648e15c8f12af6b64e2
 DIST mongodb-src-r4.4.8.tar.gz 50492854 BLAKE2B 
4776b17e88104879ea69468ff277b07dc317d936654bb26c69750e0aaf8f51bea73994e7fc4841228d8506db392e0454b5fd16257071b86a2e4ad34e90f33632
 SHA512 
9b0cd81c9c731255a6c079c040ed342a51a72e3ea72047d3ae959c0afde50b0cdb1fcfe7fcbea30c449a3618a09d213752277cee6eb9bc0a55915b9229543606
 DIST mongodb-src-r5.0.5.tar.gz 54862473 BLAKE2B 
aafa693da904177a11067603f3835e2ee69abcdb206c2d36983633baa6008b861efeb590880098557e224cd7d6ac8fb23e4e9c63724d76bf90422862c99cdfe9
 SHA512 
318e58285c8a88fc3a4467ba8c1e6487a2aec403db02c50dbdb53df9a6671b9ea2417c8ee8212b205d642327d0d4bdd76f4bc9543c47e53115dfb981ef73f63e

diff --git a/dev-db/mongodb/mongodb-4.2.23.ebuild 
b/dev-db/mongodb/mongodb-4.2.23.ebuild
new file mode 100644
index 000000000000..a56c83d47041
--- /dev/null
+++ b/dev-db/mongodb/mongodb-4.2.23.ebuild
@@ -0,0 +1,183 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+SCONS_MIN_VERSION="2.5.0"
+CHECKREQS_DISK_BUILD="2400M"
+CHECKREQS_DISK_USR="512M"
+CHECKREQS_MEMORY="1024M"
+
+inherit check-reqs flag-o-matic multiprocessing pax-utils python-any-r1 
scons-utils systemd toolchain-funcs
+
+MY_P=${PN}-src-r${PV/_rc/-rc}
+
+DESCRIPTION="A high-performance, open source, schema-free document-oriented 
database"
+HOMEPAGE="https://www.mongodb.com";
+SRC_URI="https://fastdl.mongodb.org/src/${MY_P}.tar.gz";
+
+LICENSE="Apache-2.0 SSPL-1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="debug kerberos lto ssl test +tools"
+RESTRICT="!test? ( test )"
+
+RDEPEND="acct-group/mongodb
+       acct-user/mongodb
+       >=app-arch/snappy-1.1.3:=
+       >=dev-cpp/yaml-cpp-0.6.2:=
+       dev-libs/boost:=
+       >=dev-libs/libpcre-8.42[cxx]
+       app-arch/zstd:=
+       dev-libs/snowball-stemmer:=
+       net-libs/libpcap
+       >=sys-libs/zlib-1.2.11:=
+       kerberos? ( dev-libs/cyrus-sasl[kerberos] )
+       ssl? (
+               >=dev-libs/openssl-1.0.1g:0=
+       )"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       sys-libs/ncurses:0=
+       sys-libs/readline:0=
+       debug? ( dev-util/valgrind )"
+BDEPEND="
+       $(python_gen_any_dep '
+               test? ( dev-python/pymongo[${PYTHON_USEDEP}] 
dev-python/requests[${PYTHON_USEDEP}] )
+               >=dev-util/scons-2.5.0[${PYTHON_USEDEP}]
+               dev-python/cheetah3[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+       ')
+"
+PDEPEND="tools? ( >=app-admin/mongo-tools-${PV} )"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-4.2.0-fix-scons.patch"
+       "${FILESDIR}/${PN}-4.4.1-gcc11.patch"
+       "${FILESDIR}/${PN}-4.2.15-no-compass.patch"
+       "${FILESDIR}/${PN}-4.2.17-boost-1.79.patch"
+)
+
+S="${WORKDIR}/${MY_P}"
+
+python_check_deps() {
+       if use test; then
+               python_has_version "dev-python/pymongo[${PYTHON_USEDEP}]" || 
return 1
+               python_has_version "dev-python/requests[${PYTHON_USEDEP}]" || 
return 1
+       fi
+
+       python_has_version ">=dev-util/scons-2.5.0[${PYTHON_USEDEP}]" &&
+       python_has_version "dev-python/cheetah3[${PYTHON_USEDEP}]" &&
+       python_has_version "dev-python/psutil[${PYTHON_USEDEP}]" &&
+       python_has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
+}
+
+pkg_pretend() {
+       if [[ -n ${REPLACING_VERSIONS} ]]; then
+               if ver_test "$REPLACING_VERSIONS" -lt 4.0; then
+                       ewarn "To upgrade from a version earlier than the 
4.0-series, you must"
+                       ewarn "successively upgrade major releases until you 
have upgraded"
+                       ewarn "to 4.0-series. Then upgrade to 4.2 series."
+               else
+                       ewarn "Be sure to set featureCompatibilityVersion to 
4.0 before upgrading."
+               fi
+       fi
+}
+
+src_prepare() {
+       default
+
+       # remove bundled libs
+       rm -r 
src/third_party/{boost-*,pcre-*,scons-*,snappy-*,yaml-cpp-*,zlib-*,zstandard-*} 
|| die
+
+       # remove compass
+       rm -r src/mongo/installer/compass || die
+}
+
+src_configure() {
+       # https://github.com/mongodb/mongo/wiki/Build-Mongodb-From-Source
+       # --use-system-icu fails tests
+       # --use-system-tcmalloc is strongly NOT recommended:
+       scons_opts=(
+               AR="$(tc-getAR)"
+               CC="$(tc-getCC)"
+               CXX="$(tc-getCXX)"
+
+               --disable-warnings-as-errors
+               --use-system-boost
+               --use-system-pcre
+               --use-system-snappy
+               --use-system-stemmer
+               --use-system-yaml
+               --use-system-zlib
+               --use-system-zstd
+       )
+
+       use arm64 && scons_opts+=( --use-hardware-crc32=off ) # Bug 701300
+       use debug && scons_opts+=( --dbg=on )
+       use kerberos && scons_opts+=( --use-sasl-client )
+       use lto && scons_opts+=( --lto=on )
+       use ssl && scons_opts+=( --ssl )
+
+       # Needed to avoid forcing FORTIFY_SOURCE
+       # Gentoo's toolchain applies these anyway
+       scons_opts+=( --runtime-hardening=off )
+
+       # respect mongoDB upstream's basic recommendations
+       # see bug #536688 and #526114
+       if ! use debug; then
+               filter-flags '-m*'
+               filter-flags '-O?'
+       fi
+
+       default
+}
+
+src_compile() {
+       escons "${scons_opts[@]}" core tools
+}
+
+# FEATURES="test -usersandbox" emerge dev-db/mongodb
+src_test() {
+       ewarn "Tests may hang with FEATURES=usersandbox"
+       "${EPYTHON}" ./buildscripts/resmoke.py run --dbpathPrefix=test --suites 
core --jobs=$(makeopts_jobs) || die "Tests failed with ${EPYTHON}"
+}
+
+src_install() {
+       escons "${scons_opts[@]}" --nostrip install --prefix="${ED}"/usr
+
+       doman debian/mongo*.1
+       dodoc README docs/building.md
+
+       newinitd "${FILESDIR}/${PN}.initd-r3" ${PN}
+       newconfd "${FILESDIR}/${PN}.confd-r3" ${PN}
+       newinitd "${FILESDIR}/mongos.initd-r3" mongos
+       newconfd "${FILESDIR}/mongos.confd-r3" mongos
+
+       insinto /etc
+       newins "${FILESDIR}/${PN}.conf-r3" ${PN}.conf
+       newins "${FILESDIR}/mongos.conf-r2" mongos.conf
+
+       systemd_newunit "${FILESDIR}/${PN}.service-r1" "${PN}.service"
+
+       insinto /etc/logrotate.d/
+       newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+       # see bug #526114
+       pax-mark emr "${ED}"/usr/bin/{mongo,mongod,mongos}
+
+       local x
+       for x in /var/{lib,log}/${PN}; do
+               diropts -m0750 -o mongodb -g mongodb
+               keepdir "${x}"
+       done
+}
+
+pkg_postinst() {
+       ewarn "Make sure to read the release notes and follow the upgrade 
process:"
+       ewarn "  https://docs.mongodb.com/manual/release-notes/$(ver_cut 1-2)/"
+       ewarn "  https://docs.mongodb.com/manual/release-notes/$(ver_cut 
1-2)/#upgrade-procedures"
+}

Reply via email to